Difference between revisions of "Arch Rebar Stirrup/it"

From FreeCAD Documentation
Jump to navigation Jump to search
 
(One intermediate revision by the same user not shown)
Line 15: Line 15:
 
Lo strumento  [[Arch Rebar Stirrup/it|Staffe armatura]] consente all'utente di creare un set di staffe d'armatura all'interno di un oggetto [[Arch Structure/it|Struttura]].
 
Lo strumento  [[Arch Rebar Stirrup/it|Staffe armatura]] consente all'utente di creare un set di staffe d'armatura all'interno di un oggetto [[Arch Structure/it|Struttura]].
  
The [[Arch_Rebar_Stirrup|Stirrup Rebar]] tool is also integrated into [[BIM_Workbench|BIM Workbench]].
+
Lo strumento '''Staffe armatura''' è anche integrato in [[BIM_Workbench/it|BIM]].
  
 
Questo comando fa parte dell'ambiente [[Reinforcement Workbench/it|Reinforcement]], un [[External workbenches/it|ambiente esterno]] che si può installare con [[Image:AddonManager.svg|24px]] [[Addon Manager/it|Addon manager]], tramite il menu {{MenuCommand|Strumenti → Addon manager → Reinforcement}}.
 
Questo comando fa parte dell'ambiente [[Reinforcement Workbench/it|Reinforcement]], un [[External workbenches/it|ambiente esterno]] che si può installare con [[Image:AddonManager.svg|24px]] [[Addon Manager/it|Addon manager]], tramite il menu {{MenuCommand|Strumenti → Addon manager → Reinforcement}}.
Line 104: Line 104:
 
                     100, 4, 14, 8, True, 8)
 
                     100, 4, 14, 8, True, 8)
 
}}
 
}}
<div class="mw-translate-fuzzy">
+
{{Docnav/it|[[Arch_Rebar_BentShape/it|Armatura sagomata]]|[[Arch_Rebar_Helical/it|Armatura elicoidale]]|[[Arch_Module/it|Arch]]|IconL=Arch_Rebar_BentShape.svg |IconC=Workbench_Arch.svg |IconR=Arch_Rebar_Helical.svg}}
{{docnav/it|[[Arch_Rebar_BentShape/it|Armatura sagomata]]|[[Arch_Rebar_Helical/it|Armatura elicoidale]]|[[Arch_Module/it|Arch]]|IconL=Arch_Rebar_BentShape.svg |IconC=Workbench_Arch.svg |IconR=Arch_Rebar_Helical.svg}}
 
</div>
 
  
 
{{Arch Tools navi{{#translation:}}}}
 
{{Arch Tools navi{{#translation:}}}}

Latest revision as of 21:27, 23 September 2020

Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Arch Rebar BentShape.svg Armatura sagomata Pagina precedente:
Pagina successiva: Armatura elicoidale Arch Rebar Helical.svg Arrow-right.svg

Arch Rebar Stirrup.svg Staffe armatura

Nome nel codice
Arch_Rebar_Stirrup
Posizione nel menu
Arch → Strumenti armatura → Staffe armatura o BIM → 3D/BIM → Reinforcement → Stirrup
Ambiente
Arch, BIM
Avvio veloce
Nessuno
Introdotto nella versione
0.17
Vedere anche
Armatura elicoidale, Armatura personalizzata


Descrizione

Lo strumento Staffe armatura consente all'utente di creare un set di staffe d'armatura all'interno di un oggetto Struttura.

Lo strumento Staffe armatura è anche integrato in BIM.

Questo comando fa parte dell'ambiente Reinforcement, un ambiente esterno che si può installare con AddonManager.svg Addon manager, tramite il menu Strumenti → Addon manager → Reinforcement.

Arch Rebar Stirrup example.png

Un set di staffe di rinforzo all'interno di una Struttura


Utilizzo

  1. Selezionare una qualsiasi faccia dell'oggetto Arch Structure.svg Struttura creato in precedenza.
  2. Quindi selezionare Arch Rebar Stirrup.svg Staffa armatura dagli strumenti armatura.
  3. Sul lato sinistro dello schermo appare un pannello delle azioni come sottostante.
  4. Selezionare l'orientamento desiderato.
  5. Fornire i dati per 'Left Cover', Right Cover, Top Cover, 'Bottom Cover', 'Front Cover', 'Bent Angle', 'Bent Factor', 'Rounding' e 'Diameter' dell'armatura.
  6. Selezionare la modalità di distribuzione 'Amount' o 'Spacing' (quantità o spaziatura).
  7. Se è selezionata 'Spacing', la spaziatura, l'utente può anche optare per una spaziatura personalizzata.
  8. Pick Selected Face serve per verificare o modificare la faccia per la distribuzione dell'armatura.
  9. Cliccare OK o Applica per generare l'armatura.
  10. Cliccare Annulla per uscire dal pannello delle azioni.
StirrupDialog.png

Pannello Azioni per lo strumento Staffe armatura di Arch


Proprietà

  • DatiOrientation: Decide l'orientamento dell'armatura (es. in basso, in alto, a destra e a sinistra).
  • DatiFront Cover: La distanza tra l'armatura e la faccia selezionata. Copriferro anteriore
  • DatiRight Cover: La distanza tra l'estremità destra della barra di destra e la faccia destra della struttura. Copriferro destro
  • DatiLeft Cover: La distanza tra l'estremità sinistra della barra di sinistra e la faccia sinistra della struttura. Copriferro sinistro
  • DatiBottom Cover: La distanza tra l'armatura e la parte inferiore della struttura. Copriferro inferiore
  • DatiTop Cover: La distanza tra l'armatura e la parte superiore della struttura. Copriferro superiore
  • DatiBent Angle: L'angolo del gancio finale della staffa.
  • DatiBent Factor: Lunghezza del gancio finale della staffa.
  • DatiAmount: La quantità di barre.
  • DatiSpacing: La distanza tra gli assi di ogni barra.

Scripting

Vedere anche: API Arch, API Reinforcement e Script di base per FreeCAD.

Lo strumento Staffe armatura può essere usato nelle macro e dalla console Python utilizzando la seguente funzione:

Rebar = makeStirrup(l_cover, r_cover, t_cover, b_cover, f_cover,
                    bentAngle, bentFactor, diameter, rounding, amount_spacing_check, amount_spacing_value,
                    structure=None, facename=None)
  • Crea un oggetto Rebar dalla structure data, che è una Struttura, e da una facename, che è una faccia di quella struttura.
    • Se non è data nessuna structure e neppure una facename, prende come riferimento la faccia selezionata dall'utente.
  • l_cover, r_cover, t_cover, b_cover, e f_cover sono le distanze di offset interne per gli elementi dell'armatura rispetto alle facce della struttura. Sono rispettivamente gli offset sinistro, destro, superiore, inferiore e frontale.
  • diameter è il diametro delle barre di rinforzo all'interno della struttura.
  • rounding è il parametro che determina il raggio di curvatura delle barre di armatura quando creano un giro.
  • bentLength e bentAngle definiscono la lunghezza e l'angolo della punta dell'anello di rinforzo.
  • Se amount_spacing_check è True creerà tanti giri come indicato in amount_spacing_value; se è False crea loop di rinforzo separati dal valore numerico di amount_spacing_value.
  • amount_spacing_value specifica il numero di barre di rinforzo o il valore della separazione tra di esse, secondo come sono indicato in amount_spacing_check.

Esempio

import Draft, Arch, Stirrup

# It doesn't work if the structure is not based on a face
# Structure = Arch.makeStructure(length=1000, width=400, height=400)

Rect = Draft.makeRectangle(400, 400)
Structure = Arch.makeStructure(Rect, height=1600)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

Rebar = Stirrup.makeStirrup(20, 20, 20, 20, 20,
                            115, 4, 8, 2, True, 10, Structure, "Face6")

Modifica delle barre

È possibile modificare le proprietà dell'armatura con la seguente funzione:

editStirrup(Rebar, l_cover, r_cover, t_cover, b_cover, f_cover,
            bentAngle, bentFactor, diameter, rounding, amount_spacing_check, amount_spacing_value,
            structure=None, facename=None)
  • Rebar è l'oggetto StirrupRebar creato in precedenza.
  • Gli altri parametri sono gli stessi richiesti dalla funzione makeStirrup().
  • structure e facename possono essere omesse in modo che l'armatura rimanga nella struttura originale.
import Stirrup

Stirrup.editStirrup(Rebar, 20, 20, 20, 20, 50,
                    100, 4, 14, 8, True, 8)
Arrow-left.svg Arch Rebar BentShape.svg Armatura sagomata Pagina precedente:
Pagina successiva: Armatura elicoidale Arch Rebar Helical.svg Arrow-right.svg